summaryrefslogtreecommitdiff
path: root/tests/factor/basic
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-04-08 10:55:01 +0000
committerJim Meyering <jim@meyering.net>2003-04-08 10:55:01 +0000
commitc54ba76168aa7519087d32f9c8f0b739a6420b4b (patch)
treeefce3525f29e52ef825446799aa9881b1910c14f /tests/factor/basic
parent5d425f8eedcfe909a773e2ecfc72b721276ff38b (diff)
downloadcoreutils-c54ba76168aa7519087d32f9c8f0b739a6420b4b.tar.xz
Run $PERL to see if it is available, rather than testing its value.
Diffstat (limited to 'tests/factor/basic')
-rwxr-xr-xtests/factor/basic12
1 files changed, 5 insertions, 7 deletions
diff --git a/tests/factor/basic b/tests/factor/basic
index 0c830315f..884dd1280 100755
--- a/tests/factor/basic
+++ b/tests/factor/basic
@@ -4,13 +4,11 @@
: ${PERL=perl}
: ${srcdir=.}
-case "$PERL" in
- *'missing perl')
- echo 1>&2 "$0: configure didn't find a usable version of Perl," \
- "so can't run this test"
- exit 77
- ;;
-esac
+$PERL -e 1 > /dev/null 2>&1 || {
+ echo 1>&2 "$0: configure didn't find a usable version of Perl," \
+ "so can't run this test"
+ exit 77
+}
d=$srcdir/..
exec $PERL -w -I$d -MFetish -- - << \EOF